package leigh.minecraft.leighco.cmd;

import leigh.mecha.cli.CommandFrame;
import leigh.minecraft.leighco.LeighCoState;

public class LandCommand extends CommandFrame<LeighCoState> {
    public LandCommand() {
        putCommand("buy", new LandBuyCommand());
        CommandFrame<LeighCoState> memberFrame = new CommandFrame<>();
        memberFrame.putCommand("add", new LandMemberAddCommand());
        memberFrame.putCommand("remove", new LandMemberRemoveCommand());
        putCommand("member", memberFrame);
    }
}
